Bug 603666 - Review Request: python-defconAppKit - A collection of Vanilla objects for use in font editing applications.
Review Request: python-defconAppKit - A collection of Vanilla objects for use...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: i18n
Depends On: 603634 603639
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 06:01 EDT by Parag Nemade
Modified: 2011-03-29 02:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-29 02:36:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2010-06-14 06:01:49 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/python-defconAppKit.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/python-defconAppKit-0.1-1.fc13.src.rpm
Description: 
A collection of Vanilla objects for use in font editing applications.
Comment 1 Thomas Spura 2010-07-22 11:29:48 EDT
Review:

Good:
- name ok
- source match upstream: 95f50ded72ebc5f77a9063b41820929c
- no libs
- buildarch noarch
- no locales
- no *.la
- license ok



Needswork:
- Development/Tools would be better as group
- %files:
  Please be a bit more explicit like in your other packages. (It seems you just forgot it here)
- %{version} should be in url
- Missing R fonttools and python-appkit and python-ufo2fdk

- This one again seems to not install right:
$ rpmls noarch/python-defconAppKit-0.1-1.fc13.noarch.rpm 
drwxr-xr-x  /usr/lib/python2.6/site-packages/defconAppKit
-rw-r--r--  /usr/lib/python2.6/site-packages/defconAppKit-0.1-py2.6.egg-info
-rw-r--r--  /usr/lib/python2.6/site-packages/defconAppKit/__init__.py
-rw-r--r--  /usr/lib/python2.6/site-packages/defconAppKit/__init__.pyc
-rw-r--r--  /usr/lib/python2.6/site-packages/defconAppKit/__init__.pyo
drwxr-xr-x  /usr/share/doc/python-defconAppKit-0.1
-rw-r--r--  /usr/share/doc/python-defconAppKit-0.1/License.txt


Don't know, what's the problem here...
There should be more subfolders in defconAppKit

- Where is Foundation module?
./Lib/defconAppKit/controls/fontInfoView.py:from Foundation import *
Maybe another missing dependency.
Comment 2 Parag Nemade 2011-03-29 02:36:37 EDT
I have no time to work on this. Closing this for now as deferred.

Note You need to log in before you can comment on or make changes to this bug.